<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingTop="@dimen/activity_vertical_margin">

    <org.odk.collect.android.views.colorpicker.SatValPicker
        android:id="@+id/satValBox"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/hueBar"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="@dimen/activity_horizontal_margin"
        android:layout_marginRight="@dimen/activity_horizontal_margin"/>

    <org.odk.collect.android.views.colorpicker.HuePicker
        android:id="@+id/hueBar"
        android:layout_width="match_parent"
        android:layout_height="25dp"
        android:layout_above="@+id/opacityBar"
        android:layout_marginTop="10dp"
        android:background="@color/transparent"
        android:indeterminate="false"
        android:indeterminateOnly="false"
        android:max="360"
        android:maxHeight="25dp"
        android:minHeight="25dp"
        android:progress="1"
        android:progressDrawable="@color/transparent"
        android:splitTrack="false"
        android:thumb="@drawable/slider_thumb"
        tools:ignore="UnusedAttribute"/>

    <org.odk.collect.android.views.colorpicker.OpacityPicker
        android:id="@+id/opacityBar"
        android:layout_width="match_parent"
        android:layout_height="25dp"
        android:layout_above="@+id/previewWithHex"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="10dp"
        android:max="255"
        android:maxHeight="25dp"
        android:minHeight="25dp"
        android:progress="255"
        android:progressDrawable="@drawable/opacity_box_bg_land"
        android:splitTrack="false"
        android:thumb="@drawable/opacity_slider_thumb"/>

    <LinearLayout
        android:id="@+id/previewWithHex"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="10dp"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/oldColorPreviewBox"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:orientation="horizontal"/>

        <LinearLayout
            android:id="@+id/colorPreviewBox"
            android:layout_width="50dp"
            android:layout_height="50dp"
            android:orientation="horizontal"/>

    </LinearLayout>

</RelativeLayout>